<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: org.apache.http.impl.nio.codecs: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.nio.codecs:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      505
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,462
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      211
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      210
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,312
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.42
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      3.68
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      81
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      22
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.6
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      22
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.nio.codecs:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      505
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,462
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      211
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      210
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,312
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.42
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      3.68
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      81
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      22
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.6
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      22
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http.impl.nio.codecs</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
   
      <div id="shallowPackageCloud"  >
      
	 	 
	       <a href="../codecs/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 29px;color:#990565"
	  title="# Elements - 118 , # Elements Untested - 12 ">AbstractMessageParser</a>
   
	 	 
	       <a href="../codecs/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 13px;color:#660598"
	  title="# Elements - 26 , # Elements Untested - 9 ">AbstractMessageWriter</a>
   
	 	 
	       <a href="../codecs/ChunkDecoder.html#ChunkDecoder" class="tag"
	  style="font-size: 40px;color:#4d05b1"
	  title="# Elements - 176 , # Elements Untested - 7 ">ChunkDecoder</a>
   
	 	 
	       <a href="../codecs/ChunkEncoder.html#ChunkEncoder" class="tag"
	  style="font-size: 20px;color:#80057e"
	  title="# Elements - 67 , # Elements Untested - 10 ">ChunkEncoder</a>
   
	 	 
	       <a href="../codecs/DefaultHttpRequestParser.html#DefaultHttpRequestParser" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 17 , # Elements Untested - 4 ">DefaultHttpRequestParser</a>
   
	 	 
	       <a href="../codecs/DefaultHttpRequestParserFactory.html#DefaultHttpRequestParserFactory" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 12 , # Elements Untested - 2 ">DefaultHttpRequestParserFactory</a>
   
	 	 
	       <a href="../codecs/DefaultHttpRequestWriter.html#DefaultHttpRequestWriter" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 7 , # Elements Untested - 2 ">DefaultHttpRequestWriter</a>
   
	 	 
	       <a href="../codecs/DefaultHttpRequestWriterFactory.html#DefaultHttpRequestWriterFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 1 ">DefaultHttpRequestWriterFactory</a>
   
	 	 
	       <a href="../codecs/DefaultHttpResponseParser.html#DefaultHttpResponseParser" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 17 , # Elements Untested - 4 ">DefaultHttpResponseParser</a>
   
	 	 
	       <a href="../codecs/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 12 , # Elements Untested - 2 ">DefaultHttpResponseParserFactory</a>
   
	 	 
	       <a href="../codecs/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 7 , # Elements Untested - 2 ">DefaultHttpResponseWriter</a>
   
	 	 
	       <a href="../codecs/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 1 ">DefaultHttpResponseWriterFactory</a>
   
	 	 
	       <a href="../codecs/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 10px;color:#660598"
	  title="# Elements - 8 , # Elements Untested - 8 ">HttpRequestParser</a>
   
	 	 
	       <a href="../codecs/HttpRequestWriter.html#HttpRequestWriter" class="tag"
	  style="font-size: 9px;color:#3405ca"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpRequestWriter</a>
   
	 	 
	       <a href="../codecs/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 10px;color:#660598"
	  title="# Elements - 8 , # Elements Untested - 8 ">HttpResponseParser</a>
   
	 	 
	       <a href="../codecs/HttpResponseWriter.html#HttpResponseWriter" class="tag"
	  style="font-size: 9px;color:#3405ca"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpResponseWriter</a>
   
	 	 
	       <a href="../codecs/IdentityDecoder.html#IdentityDecoder" class="tag"
	  style="font-size: 20px;color:#b2054c"
	  title="# Elements - 68 , # Elements Untested - 14 ">IdentityDecoder</a>
   
	 	 
	       <a href="../codecs/IdentityEncoder.html#IdentityEncoder" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="# Elements - 32 , # Elements Untested - 18 ">IdentityEncoder</a>
   
	 	 
	       <a href="../codecs/LengthDelimitedDecoder.html#LengthDelimitedDecoder" class="tag"
	  style="font-size: 27px;color:#b2054c"
	  title="# Elements - 106 , # Elements Untested - 14 ">LengthDelimitedDecoder</a>
   
	 	 
	       <a href="../codecs/LengthDelimitedEncoder.html#LengthDelimitedEncoder" class="tag"
	  style="font-size: 19px;color:#990565"
	  title="# Elements - 60 , # Elements Untested - 12 ">LengthDelimitedEncoder</a>
      </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
